default interface {{ awx_webhook_payload.data.name }}

{% if awx_webhook_payload.data.description %}
interface {{ awx_webhook_payload.data.name }}
 description {{ awx_webhook_payload.data.description }}
{% endif %}

{% if awx_webhook_payload.data.custom_fields.speed_Mbps %}
interface {{ awx_webhook_payload.data.name }}
 speed {{ awx_webhook_payload.data.custom_fields.speed_Mbps }}
{% endif %}

{% if awx_webhook_payload.data.duplex.value %}
interface {{ awx_webhook_payload.data.name }}
 duplex {{ awx_webhook_payload.data.duplex.value }}
{% endif %}

{% if "tagged-all" in awx_webhook_payload.data.mode.value %}
interface {{ awx_webhook_payload.data.name }}
 switchport
 switchport mode trunk
	{% if awx_webhook_payload.data.untagged_vlan.vid %}
 		switchport trunk native vlan {{ awx_webhook_payload.data.untagged_vlan.vid }}
	{% endif %}
{% elif "tagged" in awx_webhook_payload.data.mode.value %}
interface {{ awx_webhook_payload.data.name }}
 switchport
 switchport mode trunk
	{% if awx_webhook_payload.data.untagged_vlan.vid %}
 		switchport trunk native vlan {{ awx_webhook_payload.data.untagged_vlan.vid }}
	{% endif %}
	{% if awx_webhook_payload.data.custom_fields.allowed_vlans_trunk %}
		switchport trunk allowed vlan add {{ awx_webhook_payload.data.custom_fields.allowed_vlans_trunk }}
	{% endif %}
{% elif "access" in awx_webhook_payload.data.mode.value %}
interface {{ awx_webhook_payload.data.name }}
 switchport
 switchport mode access
 switchport access vlan {{ awx_webhook_payload.data.untagged_vlan.vid }}
{% endif %}

{% if awx_webhook_payload.data.custom_fields.PortProfile %}
{% if "profile_nac" in awx_webhook_payload.data.custom_fields.PortProfile %}
interface {{ awx_webhook_payload.data.name }}
  dot1x pae authenticator
  dot1x timeout tx-period 4
  authentication control-direction in
  authentication order dot1x mab
  authentication priority dot1x mab
  authentication port-control auto
  authentication periodic
  authentication timer reauthenticate server
  mab
  authentication event server dead action authorize vlan {{ awx_webhook_payload.data.untagged_vlan.vid }}
  authentication event server alive action reinitialize
  no vtp
{% endif %}
{% else %}
interface {{ awx_webhook_payload.data.name }}
exit
{% endif %}

{% if "tagged" in awx_webhook_payload.data.mode.value %}
interface {{ awx_webhook_payload.data.name }}
   spanning-tree portfast trunk
{% elif "access" in awx_webhook_payload.data.mode.value %}
interface {{ awx_webhook_payload.data.name }}
   spanning-tree portfast
{% endif %}
interface {{ awx_webhook_payload.data.name }}
  spanning-tree guard root

{% if awx_webhook_payload.data.enabled is true %}
interface {{ awx_webhook_payload.data.name }}
  no shutdown
{% else %}
interface {{ awx_webhook_payload.data.name }}
  shutdown
{% endif %}

{% if awx_webhook_payload.data.lag %}
interface {{ awx_webhook_payload.data.name }}
 channel-group {{ awx_webhook_payload.data.lag.display | regex_replace("^port-channel ", "")}} mode {{ awx_webhook_payload.data.custom_fields.port_channel_mode }}
{% endif %}




